#ifndef __S2_YAMAHA_BD_S2900_PROCESSOR_H__
#define __S2_YAMAHA_BD_S2900_PROCESSOR_H__




/*
* Constructor and Destructor
*/

/*
* DIGITAL_INPUT
*/
#define __S2_Yamaha_BD_S2900_processor_POLL_DIG_INPUT 0


/*
* ANALOG_INPUT
*/

#define __S2_Yamaha_BD_S2900_processor_COMMAND_TX$_STRING_INPUT 1
#define __S2_Yamaha_BD_S2900_processor_COMMAND_TX$_STRING_MAX_LEN 1000
CREATE_STRING_STRUCT( S2_Yamaha_BD_S2900_processor, __COMMAND_TX$, __S2_Yamaha_BD_S2900_processor_COMMAND_TX$_STRING_MAX_LEN );

#define __S2_Yamaha_BD_S2900_processor_RX$_BUFFER_INPUT 0
#define __S2_Yamaha_BD_S2900_processor_RX$_BUFFER_MAX_LEN 1000
CREATE_STRING_STRUCT( S2_Yamaha_BD_S2900_processor, __RX$, __S2_Yamaha_BD_S2900_processor_RX$_BUFFER_MAX_LEN );


/*
* DIGITAL_OUTPUT
*/
#define __S2_Yamaha_BD_S2900_processor_PLAYER_POWERING_ON_FB_DIG_OUTPUT 0
#define __S2_Yamaha_BD_S2900_processor_PLAYER_STANDBY_FB_DIG_OUTPUT 1
#define __S2_Yamaha_BD_S2900_processor_PLAYER_TRAY_OPEN_FB_DIG_OUTPUT 2
#define __S2_Yamaha_BD_S2900_processor_PLAYER_TRAY_CLOSING_FB_DIG_OUTPUT 3
#define __S2_Yamaha_BD_S2900_processor_PLAYER_READING_DISC_FB_DIG_OUTPUT 4
#define __S2_Yamaha_BD_S2900_processor_PLAYER_NO_DISC_FB_DIG_OUTPUT 5
#define __S2_Yamaha_BD_S2900_processor_PLAYER_MENU_FB_DIG_OUTPUT 6
#define __S2_Yamaha_BD_S2900_processor_PLAYER_PAUSE_FB_DIG_OUTPUT 7
#define __S2_Yamaha_BD_S2900_processor_PLAYER_STOP_FB_DIG_OUTPUT 8
#define __S2_Yamaha_BD_S2900_processor_PLAYER_PLAY_FB_DIG_OUTPUT 9
#define __S2_Yamaha_BD_S2900_processor_PLAYER_SEARCH_FWD_FB_DIG_OUTPUT 10
#define __S2_Yamaha_BD_S2900_processor_PLAYER_SEARCH_REV_FB_DIG_OUTPUT 11
#define __S2_Yamaha_BD_S2900_processor_PLAYER_SETUP_FB_DIG_OUTPUT 12
#define __S2_Yamaha_BD_S2900_processor_MEDIA_READING_FB_DIG_OUTPUT 13
#define __S2_Yamaha_BD_S2900_processor_MEDIA_NO_DISC_FB_DIG_OUTPUT 14
#define __S2_Yamaha_BD_S2900_processor_MEDIA_CD_FB_DIG_OUTPUT 15
#define __S2_Yamaha_BD_S2900_processor_MEDIA_DVD_FB_DIG_OUTPUT 16
#define __S2_Yamaha_BD_S2900_processor_MEDIA_BD_FB_DIG_OUTPUT 17


/*
* ANALOG_OUTPUT
*/

#define __S2_Yamaha_BD_S2900_processor_TRACK_NUMBER_FB$_STRING_OUTPUT 0
#define __S2_Yamaha_BD_S2900_processor_TIMECODE_FB$_STRING_OUTPUT 1
#define __S2_Yamaha_BD_S2900_processor_TX$_STRING_OUTPUT 2


/*
* Direct Socket Variables
*/




/*
* INTEGER_PARAMETER
*/
/*
* SIGNED_INTEGER_PARAMETER
*/
/*
* LONG_INTEGER_PARAMETER
*/
/*
* SIGNED_LONG_INTEGER_PARAMETER
*/
/*
* INTEGER_PARAMETER
*/
/*
* SIGNED_INTEGER_PARAMETER
*/
/*
* LONG_INTEGER_PARAMETER
*/
/*
* SIGNED_LONG_INTEGER_PARAMETER
*/
/*
* STRING_PARAMETER
*/


/*
* INTEGER
*/
CREATE_INTARRAY1D( S2_Yamaha_BD_S2900_processor, __LOOKUP, 256 );;


/*
* LONG_INTEGER
*/


/*
* SIGNED_INTEGER
*/


/*
* SIGNED_LONG_INTEGER
*/


/*
* STRING
*/
#define __S2_Yamaha_BD_S2900_processor_MESSAGE$_STRING_MAX_LEN 1000
CREATE_STRING_STRUCT( S2_Yamaha_BD_S2900_processor, __MESSAGE$, __S2_Yamaha_BD_S2900_processor_MESSAGE$_STRING_MAX_LEN );
#define __S2_Yamaha_BD_S2900_processor_WASTE$_STRING_MAX_LEN 1000
CREATE_STRING_STRUCT( S2_Yamaha_BD_S2900_processor, __WASTE$, __S2_Yamaha_BD_S2900_processor_WASTE$_STRING_MAX_LEN );
#define __S2_Yamaha_BD_S2900_processor_COMMAND_WAITING$_STRING_MAX_LEN 100
CREATE_STRING_STRUCT( S2_Yamaha_BD_S2900_processor, __COMMAND_WAITING$, __S2_Yamaha_BD_S2900_processor_COMMAND_WAITING$_STRING_MAX_LEN );

/*
* STRUCTURE
*/

START_GLOBAL_VAR_STRUCT( S2_Yamaha_BD_S2900_processor )
{
   void* InstancePtr;
   struct GenericOutputString_s sGenericOutStr;
   unsigned short LastModifiedArrayIndex;

   DECLARE_STRING_STRUCT( S2_Yamaha_BD_S2900_processor, __COMMAND_TX$ );
   DECLARE_STRING_STRUCT( S2_Yamaha_BD_S2900_processor, __RX$ );
};

START_NVRAM_VAR_STRUCT( S2_Yamaha_BD_S2900_processor )
{
   DECLARE_STRING_STRUCT( S2_Yamaha_BD_S2900_processor, __MESSAGE$ );
   DECLARE_STRING_STRUCT( S2_Yamaha_BD_S2900_processor, __WASTE$ );
   DECLARE_STRING_STRUCT( S2_Yamaha_BD_S2900_processor, __COMMAND_WAITING$ );
   unsigned short __BUSY;
   unsigned short __BYTESOURCE;
   unsigned short __BYTEGUARD;
   unsigned short __BYTETYPE;
   unsigned short __BYTECMD0;
   unsigned short __BYTECMD1;
   unsigned short __BYTECMD2;
   unsigned short __COUNT;
   unsigned short __WAITINGSTATUSPLAYER;
   unsigned short __WAITINGSTATUSMEDIA;
   unsigned short __WAITINGSTATUSTRACK;
   unsigned short __WAITINGSTATUSTC;
   unsigned short __PLAYERSTATUS;
   unsigned short __MEDIASTATUS;
   DECLARE_INTARRAY( S2_Yamaha_BD_S2900_processor, __LOOKUP );
};



#endif //__S2_YAMAHA_BD_S2900_PROCESSOR_H__

